# skipverifyhost

Controls whether omhttp verifies the HTTPS server hostname.

This parameter applies to omhttp: HTTP Output Module.

Name:

  skipverifyhost

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  Not specified

## Description

If `"on"`, this will set the curl CURLOPT_SSL_VERIFYHOST option to `0`. You are strongly discouraged to set this to `"on"`. It is primarily useful only for debugging or testing.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        useHttps="on"
        skipVerifyHost="on"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.